import { IClientSideComponentManifest } from './IClientSideComponentManifest';
/**
 * The type of client-side extension.  Used by IClientSideExtensionManifest.extensionType.
 *
 * @beta
 */
export declare type ExtensionType = 'Unknown' | 'ApplicationCustomizer' | 'FieldCustomizer' | 'ListViewCommandSet';
/**
 * This is the manifest for a client-side extension.
 *
 * @beta
 */
export interface IClientSideExtensionManifest extends IClientSideComponentManifest {
    /**
     * Specifies the type of client-side extension.  Some extension types support additional manifest
     * fields beyond SPClientSideExtensionManifest.
     */
    extensionType: ExtensionType;
}
